



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>SpringCloud注解和配置以及pom依赖说明</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">SpringCloud注解和配置以及pom依赖说明</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-22 17:25:49 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>在本文中说明了pom依赖可以支持什么功能，以及支持什么注解，引入该依赖可以在application.properties中添加什么配置。</p>
<p>1、SpringCloud 的pom依赖</p>
<table>
<tbody>
<tr>
<td><strong>序号</strong></td>
<td><strong>pom依赖</strong></td>
<td><strong>说明</strong></td>
<td><strong>支持注解</strong></td>
<td><strong>支持配置application.properties</strong></td>
</tr>
<tr>
<td>1</td>
<td>
<p>&lt;parent&gt;<br />&lt;groupId&gt;org.springframework.boot&lt;/groupId&gt;<br />&lt;artifactId&gt;spring-boot-starter-parent&lt;/artifactId&gt;<br />&lt;version&gt;1.5.16.RELEASE&lt;/version&gt;<br />&lt;relativePath/&gt;&nbsp;<br />&lt;/parent&gt;</p>
</td>
<td>
<p>spring-boot-starter-parent是Spring Boot的核心启动器，<br />包含了自动配置、日志和YAML等大量默认的配置。<br />引入之后相关的starter引入就不需要添加version配置，<br />spring boot会自动选择最合适的版本进行添加。</p>
</td>
<td>
<p>@SpringBootApplication<br />@Configuration<br />@RequestBody<br />@RestController<br />@ComponentScan(basePackages={"com.xx","com.yy"})</p>
</td>
<td>server.port=1111</td>
</tr>
<tr>
<td>2</td>
<td>
<p>&lt;dependencyManagement&gt;<br />&lt;dependencies&gt;<br />&lt;dependency&gt;<br />&lt;groupId&gt;org.springframework.cloud&lt;/groupId&gt;<br />&lt;artifactId&gt;spring-cloud-dependencies&lt;/artifactId&gt;<br />&lt;version&gt;Edgware.SR4&lt;/version&gt;<br />&lt;type&gt;pom&lt;/type&gt;<br />&lt;scope&gt;import&lt;/scope&gt;<br />&lt;/dependency&gt;<br />&lt;/dependencies&gt;<br />&lt;/dependencyManagement&gt;</p>
</td>
<td>
<p>使用dependencyManagement进行版本管理<br />注意：这里的高版本Edgware.SR4不兼容spring-boot-starter-parent的高版本2.x，只能是1.x的高版本，比如1.5.16.RELEASE</p>
</td>
<td>&nbsp;</td>
<td>&nbsp;</td>
</tr>
<tr>
<td>3</td>
<td>
<p>&lt;dependency&gt;<br />&lt;groupId&gt;org.springframework.boot&lt;/groupId&gt;<br />&lt;artifactId&gt;spring-boot-starter-web&lt;/artifactId&gt;<br />&lt;/dependency&gt;</p>
</td>
<td>
<p>支持HTTP调用方式，包含了Spring Boot预定义的一些Web开发的常用依赖包<br />如: spring-webmvc,Tomcat....</p>
</td>
<td>&nbsp;</td>
<td>&nbsp;</td>
</tr>
<tr>
<td>4</td>
<td>
<p>&lt;dependency&gt;<br />&lt;groupId&gt;org.springframework.cloud&lt;/groupId&gt;<br />&lt;artifactId&gt;spring-cloud-starter&lt;/artifactId&gt;<br />&lt;/dependency&gt;</p>
</td>
<td>&nbsp;</td>
<td>&nbsp;@SpringCloudApplication</td>
<td>spring.application.name=eureka-service</td>
</tr>
<tr>
<td>5</td>
<td>
<p>&lt;dependency&gt;<br />&lt;groupId&gt;org.springframework.cloud&lt;/groupId&gt;<br />&lt;artifactId&gt;spring-cloud-starter-eureka-server&lt;/artifactId&gt;<br />&lt;/dependency&gt;</p>
</td>
<td>eureka注册中心依赖</td>
<td>&nbsp;@EnableEurekaServer</td>
<td>
<p>eureka.instance.hostname=localhost<br />eureka.client.service-url.defaultZone=http://localhost:1111/eureka<br />eureka.client.fetch-registry=false<br />eureka.client.fetch-registry=false</p>
</td>
</tr>
<tr>
<td>6</td>
<td>
<p>&lt;dependency&gt;<br />&lt;groupId&gt;org.springframework.cloud&lt;/groupId&gt;<br />&lt;artifactId&gt;spring-cloud-starter-eureka&lt;/artifactId&gt;<br />&lt;/dependency&gt;</p>
</td>
<td>引入eureka 客户端依赖</td>
<td>
<p>@EnableDiscoveryClient<br />@EnableZuulProxy</p>
</td>
<td>&nbsp;</td>
</tr>
<tr>
<td>7</td>
<td>
<p>&lt;dependency&gt;<br />&lt;groupId&gt;org.springframework.cloud&lt;/groupId&gt;<br />&lt;artifactId&gt;spring-cloud-starter-ribbon&lt;/artifactId&gt;<br />&lt;/dependency&gt;</p>
</td>
<td>引入ribbon 依赖 ，用来实现客户端的负载均衡，用在client客户端项目</td>
<td>&nbsp;</td>
<td>
<p>ribbon.ConnectTimeout=500<br />ribbon.ReadTimeout=5000<br />hello-service.ribbon.ConnectTimeout=500</p>
</td>
</tr>
<tr>
<td>8</td>
<td>
<p>&lt;dependency&gt;<br />&lt;groupId&gt;org.springframework.cloud&lt;/groupId&gt;<br />&lt;artifactId&gt;spring-cloud-starter-hystrix&lt;/artifactId&gt;<br />&lt;/dependency&gt;</p>
</td>
<td>引入hystrix 依赖 ，用来实现服务容错保护。当发现请求的服务端崩溃，就采用容错机制</td>
<td>&nbsp;@EnableCircuitBreaker</td>
<td>hystrix.command.default.execution.isolation.thread.timeoutInMilliseconds=5000</td>
</tr>
<tr>
<td>9</td>
<td>
<p>&lt;dependency&gt;<br />&lt;groupId&gt;org.springframework.cloud&lt;/groupId&gt;<br />&lt;artifactId&gt;spring-cloud-starter-feign&lt;/artifactId&gt;<br />&lt;/dependency&gt;</p>
</td>
<td>
<p>引入feign 依赖，包含ribbon负载均衡，也包含Hystrix服务容错。</p>
<p>Spring Cloud Feign在构建被@FeignClient注解修饰的服务客户端是，会为每一个客户端都创建一个feign.Logger实例，我们可以利用该日志对象进行Log分析。</p>
</td>
<td>&nbsp;@EnableFeignClients</td>
<td>
<p>feign.compression.request.enabled=true;<br />feigan.compression.response.enabled=true;</p>
</td>
</tr>
<tr>
<td>10</td>
<td>
<p>&lt;dependency&gt;&nbsp;<br />&lt;groupId&gt;org.springframework.boot&lt;/groupId&gt;&nbsp;<br />&lt;artifactId&gt;spring-boot-starter-actuator&lt;/artifactId&gt;&nbsp;<br />&lt;/dependency&gt;</p>
</td>
<td>监控模块，实时和定时监控服务的各项状态和可用性</td>
<td>&nbsp;</td>
<td>&nbsp;</td>
</tr>
<tr>
<td>11</td>
<td>
<p>&lt;dependency&gt;<br />&lt;groupId&gt;org.springframework.cloud&lt;/groupId&gt;<br />&lt;artifactId&gt;spring-cloud-starter-zuul&lt;/artifactId&gt;<br />&lt;/dependency&gt;</p>
</td>
<td>引入zuul依赖 , 它依赖了spring-boot-starter-actuator/spring-boot-starter-hystrix/spring-boot-starter-ribbon</td>
<td>&nbsp;@EnableZuulProxy</td>
<td>
<p>zuul.routes.api-a.path=/api-a/**<br />zuul.routes.api-a.url=http://localhost:9001<br />或<br />zuul.routes.api-a.path=/api-a/**<br />zuul.routes.api-a.serviceId=hello-service</p>
</td>
</tr>
<tr>
<td>12</td>
<td>
<p>&lt;dependency&gt;<br />&lt;groupId&gt;org.springframework.cloud&lt;/groupId&gt;<br />&lt;artifactId&gt;spring-cloud-config-server&lt;/artifactId&gt;<br />&lt;/dependency&gt;</p>
</td>
<td></p>
<p>为分布式系统中的基础设施和微服务提供集中化的外部配置支持，分为服务端和客户端两个部分。<br />比如要访问my_test分支下的spring-cloud-config-file目录下的sam-dev.properties配置文件，访问url:<br />http://localhost:7001/sam/dev/my_test</p>
</td>
<td>&nbsp;@EnableConfigServer</td>
<td></p>
<p>#配置Git仓库的地址<br />spring.cloud.config.server.git.uri=https://gitlab.com/xxx/xxx.git<br />#配置仓库路径下的相对搜索位置，可以配置多个<br />spring.cloud.config.server.git.search-paths=spring-cloud-config-file<br />#这里配置你的Git仓库的用户名<br />spring.cloud.config.server.git.username=xxx<br />#这里配置你的Git仓库的密码<br />spring.cloud.config.server.git.password=123</p>
</td>
</tr>
<tr>
<td>13</td>
<td>
<p>&lt;dependency&gt;<br />   &lt;groupId&gt;org.springframework.cloud&lt;/groupId&gt;<br />   &lt;artifactId&gt;spring-cloud-starter-config&lt;/artifactId&gt;<br />&lt;/dependency&gt;</p>
</td>
<td>&nbsp;分布式服务中管理配置文件的客户端，服务端是spring-cloud-config-server</td>
<td>&nbsp;@RefreshScope</td>
<td>
<p>bootstrap.properties:<br />#{profile}<br />spring.cloud.config.profile=dev<br />#{label} git分支名字<br />spring.cloud.config.label=master<br />#config server uri<br />spring.cloud.config.uri=http://localhost:7001</p>
</td>
</tr>
<tr>
<td>14</td>
<td></p>
<p>&lt;dependency&gt;<br />&lt;groupId&gt;org.springframework.cloud&lt;/groupId&gt;<br />&lt;artifactId&gt;spring-cloud-starter-zipkin&lt;/artifactId&gt;<br />&lt;/dependency&gt;</p>
</td>
<td>&nbsp;在所有需要链路跟踪的项目中都加上这个依赖。</td>
<td>&nbsp;&nbsp;@EnableZipkinServer</td>
<td></p>
<p>除了sleuth本身是链路中心的除外，其余参与链路追踪的分布式系统都需要添加如下配置：<br />#指定zipkin服务端的url<br />spring.zipkin.base-url=http://localhost:9411<br />#设定样本收集的比率为100%<br />spring.sleuth.sampler.percentage=1.0</p>
</td>
</tr>
<tr>
<td>15</td>
<td>
<p>&lt;dependency&gt;<br />&lt;groupId&gt;org.springframework.boot&lt;/groupId&gt;<br />&lt;artifactId&gt;spring-boot-devtools&lt;/artifactId&gt;<br />&lt;version&gt;1.3.0.RELEASE&lt;/version&gt;<br />&lt;scope&gt;provided&lt;/scope&gt;<br />&lt;optional&gt;true&lt;/optional&gt;<br />&lt;/dependency&gt;</p>
</td>
<td>修改源文件后系统自动重启</td>
<td>&nbsp;</td>
<td>&nbsp;</td>
</tr>
<tr>
<td>16</td>
<td>
<p>&lt;plugin&gt;<br />&lt;groupId&gt;org.springframework.boot&lt;/groupId&gt;<br />&lt;artifactId&gt;spring-boot-maven-plugin&lt;/artifactId&gt;<br />&lt;/plugin&gt;</p>
</td>
<td></p>
<p>告诉Maven包含Spring特定的Maven插件，用于构建和部署SpringBoot应用程序。<br />注意，这个要放在build-&gt;plugins节点下。</p>
</td>
<td>&nbsp;</td>
<td></p>
</td>
</tr>
<tr>
<td>17</td>
<td>
<p>&lt;plugin&gt;<br />        &lt;groupId&gt;com.spotify&lt;/groupId&gt;<br />        &lt;artifactId&gt;docker-maven-plugin&lt;/artifactId&gt;<br />        &lt;version&gt;0.4.10&lt;/version&gt;<br />        &lt;configuration&gt;<br />        &lt;baseImage&gt;java&lt;/baseImage&gt;<br />        &lt;imageName&gt;example&lt;/imageName&gt;<br />      &lt;/configuration&gt;<br />&lt;/plugin&gt;</p>
</td>
<td></p>
<p>部署以及持续集成。<br />注意，这个要放在build-&gt;plugins节点下。</p>
</td>
<td>&nbsp;</td>
<td>&nbsp;</td>
</tr>
<tr>
<td>18</td>
<td>
<p>&lt;dependency&gt;<br />&nbsp; &lt;groupId&gt;org.springframework.boot&lt;/groupId&gt;<br />&nbsp; &lt;artifactId&gt;spring-boot-starter-data-jpa&lt;/artifactId&gt;<br />&lt;/dependency&gt;</p>
</td>
<td>使用Java Persistence API ( JPA )</td>
<td>
<p>@Entity // 这是一个JPA类<br /> @Table(name="t_user") //映射到哪张表<br /> @Id  //主键<br /> @Column(name="user_id",nullable=false) //对应表里哪个字段，不允许为空<br /> @Repository  //这是一个DAO类</p>
</td>
<td>&nbsp;</td>
</tr>
<tr>
<td>19</td>
<td>
<p>&lt;dependency&gt;<br />&nbsp; &lt;groupId&gt;postgresql&lt;/groupId&gt;<br />&nbsp; &lt;artifactId&gt;postgresql&lt;/artifactId&gt;<br />&nbsp; &lt;version&gt;9.1-901.jdbc4&lt;/version&gt;<br />&lt;/dependency&gt;</p>
</td>
<td>Postgres JDBC驱动程序</td>
<td>&nbsp;</td>
<td>&nbsp;</td>
</tr>
<tr>
<td>&nbsp;20</td>
<td>
<p>&lt;dependency&gt;<br />  &lt;groupId&gt;org.springframework.security&lt;/groupId&gt;<br />  &lt;artifactId&gt;spring-security-rsa&lt;/artifactId&gt;<br />&lt;/dependency&gt;</p>
</td>
<td>&nbsp;加密解密相关包</td>
<td>&nbsp;</td>
<td>
<p>spring.datasource.password: "{cipher}d495ce8603af9676450736e119"<br />spring.cloud.config.server.encrypt.enabled=false</p>
</td>
</tr>
</tbody>
</table>
<p>2、SpringCloud相关注解</p>
<table>
<tbody>
<tr>
<td><strong>序号</strong></td>
<td><strong>注解</strong></td>
<td><strong>说明</strong></td>
</tr>
<tr>
<td>1</td>
<td>&nbsp;@SpringBootApplication</td>
<td>SpringBoot启动类注解，启动类需有main方法</td>
</tr>
<tr>
<td>2</td>
<td>&nbsp;@EnableEurekaServer</td>
<td>用来指定该项目为Eureka的服务注册中心</td>
</tr>
<tr>
<td>3</td>
<td>&nbsp;@EnableCircuitBreaker</td>
<td>开启断路器，实现服务容错保护</td>
</tr>
<tr>
<td>4</td>
<td>&nbsp;@EnableDiscoveryClient</td>
<td>让服务使用eureka服务器 实现服务注册和发现</td>
</tr>
<tr>
<td>5</td>
<td>&nbsp;@SpringCloudApplication</td>
<td>
<p>相当于3个注解：@EnableDiscoveryClient<br />@SpringBootApplication<br />@EnableCircuitBreaker</p>
</td>
</tr>
<tr>
<td>6</td>
<td>&nbsp;@Configuration</td>
<td>相当于定义spring配置文件的xmlns域，以及支持@Bean在本类中的注册。</td>
</tr>
<tr>
<td>7</td>
<td>&nbsp;@EnableFeignClients</td>
<td>Spring Cloud Feign 通过@EnableFeignClients来开启spring cloud feign的支持功能 不仅包含Spring Cloud ribbon负责均衡功能，也包含Spring Cloud Hystrix服务容错功能，还提供了一种声明式的Web服务客户端定义方式。</td>
</tr>
<tr>
<td>8</td>
<td>&nbsp;@RequestBody</td>
<td>使接收到的字段值自动映射到注解声明的复合对象中</td>
</tr>
<tr>
<td>9</td>
<td>&nbsp;@RestController</td>
<td>&nbsp;@RestController = @Controller + @ResponseBody</td>
</tr>
<tr>
<td>10</td>
<td>&nbsp;@ComponentScan(basePackages={"com.xx","com.yy"})</td>
<td>指定扫描包</td>
</tr>
<tr>
<td>11</td>
<td>&nbsp;@EnableZuulProxy</td>
<td>
<p>开启网关路由服务功能。<br />注意：一旦要请求的controller类实现了某个接口，恰好这个接口有自定义的@RequestMapping("/xxx")值，那么在发起请求时，完整的url不能省略这个@RequestMapping值：http://localhost:5555/hello-service/xxx/myHello</p>
</td>
</tr>
<tr>
<td>12</td>
<td>&nbsp;@Bean</td>
<td>向spring容器注册自定义类</td>
</tr>
<tr>
<td>13</td>
<td>&nbsp;@EnableConfigServer</td>
<td>开启Spring Cloud Config 的服务端功能。为分布式系统中的基础设施和微服务提供集中化的外部配置支持，分为服务端和客户端两个部分。</td>
</tr>
<tr>
<td>14</td>
<td>&nbsp;@EnableZipkinServer</td>
<td>用于开启Zipkin Server功能：分布式框架中的如果发生异常可链路追踪.</td>
</tr>
<tr>
<td>15</td>
<td></p>
<p>@RequestMapping(value="/url",method=RequestMethod.POST)<br />public void getUrl(@PathVariable("name") String name){ &hellip; }</p>
</td>
<td>如何动态配置url路径，以及从路径中取值</td>
</tr>
<tr>
<td>16</td>
<td>&nbsp;@RefreshScope</td>
<td>对需要刷新的属性使用@Value注解，同时将类使用@RefreshScope注解进行标记</td>
</tr>
</tbody>
</table>
<p>3、SpringCloud的application.properties相关设置</p>
<table>
<tbody>
<tr>
<td><strong>序号</strong></td>
<td><strong>application.properties配置</strong></td>
<td><strong>说明</strong></td>
</tr>
<tr>
<td>1</td>
<td>server.port=1111</td>
<td>设置web项目服务端口号</td>
</tr>
<tr>
<td>2</td>
<td>spring.application.name=eureka-service</td>
<td>设置服务名称</td>
</tr>
<tr>
<td>3</td>
<td>eureka.instance.hostname=localhost</td>
<td>设置服务主机IP</td>
</tr>
<tr>
<td>4</td>
<td>eureka.client.register-with-eureka=false</td>
<td>false: 注册中心不需要注册自己。true（默认）: 需要注册自己</td>
</tr>
<tr>
<td>5</td>
<td>eureka.client.fetch-registry=false</td>
<td>false: 注册中心不需要去发现服务。true（默认）: 需要发现服务</td>
</tr>
<tr>
<td>6</td>
<td>eureka.client.serviceUrl.defaultZone=http://${eureka.instance.hostname}:${server.port}/eureka</td>
<td>设置服务注册中心的URL，这里的${}是占位符。最终显示例如：http://localhost:1111/eureka</td>
</tr>
<tr>
<td>7</td>
<td>ribbon.ConnectTimeout=500</td>
<td>全局配置负载均衡超时设置 ribbon.&lt;key&gt;=&lt;value&gt;</td>
</tr>
<tr>
<td>8</td>
<td>ribbon.ReadTimeout=5000</td>
<td>全局配置负载均衡读超时设置</td>
</tr>
<tr>
<td>9</td>
<td>hello-service.ribbon.ConnectTimeout=500</td>
<td>为某服务指定的负载均衡超时设置 @FeignClient(value="hello-service")</td>
</tr>
<tr>
<td>10</td>
<td>hystrix.command.default.execution.isolation.thread.timeoutInMilliseconds=5000</td>
<td>hystrix.command.default.xxx进行全局配置</td>
</tr>
<tr>
<td>11</td>
<td>hystrix.command.hello.execution.isolation.thread.timeoutInMilliseconds=5000</td>
<td>hystrix.command.&lt;commandKey&gt;.xxx进行指定配置,这里的&lt;commandKey&gt;可以为方法名</td>
</tr>
<tr>
<td>12</td>
<td>
<p>feign.compression.request.enabled=true;<br />feigan.compression.response.enabled=true;</p>
</td>
<td>请求压缩配置,支持对请求和响应进行GZIP压缩，以减少通信过程中的性能损耗。</td>
</tr>
<tr>
<td>13</td>
<td>
<p>zuul.routes.api-a.path=/api-a/**<br />zuul.routes.api-a.url=http://localhost:9001<br />或<br />zuul.routes.api-a.path=/api-a/**<br />zuul.routes.api-a.serviceId=hello-service<br />或<br />zuul.routes.hello-service.path=/hello-service/**<br />zuul.routes.hello-service.serviceId=hello-service</p>
</td>
<td>
<p>请求示例：http://localhost:5555/api-a/feign-consumer<br />请到http://localhost:9001这个url地址找**（/feign-consumer）匹配的http接口，因为我把这个url的服务命名为api-a了。<br />推荐使用serviceId来代替url地址。<br />注意：zuul.routes.api-a.url=hello-service也能实现功能，但是它不能进行正常的负载均衡和容错保护。<br />不配置默认路由规则。当zuul.ignored-services=*的时候，所有的服务都不会自动创建路由规则，这个时候需要通过前面的配置进行相关路由配置了。</p>
</td>
</tr>
<tr>
<td>14</td>
<td>
<p>#配置Git仓库的地址<br />spring.cloud.config.server.git.uri=https://gitlab.com/xxx/xxx.git<br />#配置仓库路径下的相对搜索位置，可以配置多个<br />spring.cloud.config.server.git.search-paths=spring-cloud-config-file<br />#这里配置你的Git仓库的用户名<br />spring.cloud.config.server.git.username=xxx<br />#这里配置你的Git仓库的密码<br />spring.cloud.config.server.git.password=123</p>
</td>
<td>&nbsp;SpringCloud自己创建的管理配置中心的服务端配置</td>
</tr>
<tr>
<td>15</td>
<td>
<p>spring.profiles.active=default</p>
</td>
<td>指定服务运行什么配置，比如application-dev.properties，就设置值为dev</td>
</tr>
<tr>
<td>16</td>
<td>
<p>spring.cloud.config.server.encrypt.enabled=false</p>
</td>
<td>显式关闭输出属性的解密。</td>
</tr>
<tr>
<td>17</td>
<td>
<p>spring.datasource.password: "{cipher}d495ce8603af9676450736e119"</p>
</td>
<td>SpringCloud配置服务器要求所有已加密的属性前面加上{cipher}</td>
</tr>
</tbody>
</table>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/5qxeldv8.html">【转载】js 各种复制到剪贴板</a>
		</li>
						<li><a href="https://www.batexi.com/a/390ep0oq.html">Bug总结流程</a>
		</li>
						<li><a href="https://www.batexi.com/a/49g5j7e8.html">BackTrack5-r3安装中文版的firefox火狐浏览器</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qyg75dq.html">关于Linux x64 Oracle JDK7u60 64-bit HotSpot VM 线程栈默认大小问题的整理</a>
		</li>
						<li><a href="https://www.batexi.com/a/xq46yyn8.html">linker command failed with exit code 1 &lpar;use -v to see invocation&rpar;解决办法</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqv4x0zq.html">&lbrack;转&rsqb;Responsive Tables Demo</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e14gme9.html">Oracle 的简单描述</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2w1n4oq.html">Python 学习 第十篇 CMDB用户权限管理</a>
		</li>
						<li><a href="https://www.batexi.com/a/90v6v338.html">art&period;dialog</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljjrjk9.html">使用Inno Setup 打包jdk、mysql、tomcat、webapp等为一个exe安装包</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgydzm8.html">关于Google Chrome 浏览器的一些命令及用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4zk1z59.html">连接Oracle数据库的时候报了&OpenCurlyDoubleQuote;Got minus one from a read call&rdquo;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnjxgn28.html">win10安装gitLab</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kp30g69.html">多线程处理list</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pwjj078.html">https加密流程</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m2jln6q.html">&lpar;后端&rpar;Mybatis实现批量删除操作&lpar;转&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnvw32g8.html">Dockerfile文件详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv23m4j9.html">MySQL--CREATE INDEX在各版本的优化</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4j0wv5q.html">multi-head attention</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4jxwmnq.html">MVC 图片上传 带进度条（转）</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/q7omz6x8.html">运维yum语法</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pwjwm48.html">关于Hibernate级联更新插入信息时提示主键不为空的问题&OpenCurlyDoubleQuote;org&period;hibernate&period;StaleStateException&colon; Batch update returned unexpected row count from update&colon; 0 actual row count&colon; 0 expected&colon; 1 &rdquo;</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4jyje5q.html">Python 多进程和多线程的效率对比</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxdnlke9.html">plsql插入数据出现乱码问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/qyyd24dq.html">python学习笔记&mdash;&mdash;（三）文件操作</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kj1np79.html">linux开机默认启动命令行模式</a>
			</li>
						<li><a href="https://www.batexi.com/a/qyyd54dq.html">测试那些事儿-软测必备的linux知识（五）</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j10ll49.html">Spring定义事物通知tx&colon;advice</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdwekx79.html">使用日期操作类（Calendar）获得几秒、几分钟、几小时之前的时间</a>
			</li>
						<li><a href="https://www.batexi.com/a/qllmvr1q.html">Python学习笔记-chapter1</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
